AutoCAD .NET :: Prompt User To Pick Point On Circle With Given Radius?
Jul 25, 2013
I need my users to pick a point p, enter a distance r and a direction v. A new point should be created r units away in vectorial direction. Therefore, the new point is located on an imaginary circle with radius r and center p.
Currently, the user picks the first point and enters a distance. Then, he has to pick another point (Editor.GetPoint with UseBasePoint = true), I calculate the vector between both points, create a new point (with location = BasePoint.location) and translate it d units in vectorial direction. This works of course, but the problem is, that the user doesn't see directly, where his new point is located, since he may pick a point closer to or farther away then r units.
Naively spoken, I want to restrict the line between BasePoint and new point while prompting the user to a fixed length. Native calls to ObjectARX-methods would be also okay.
View 3 Replies
ADVERTISEMENT
May 8, 2013
I have a lisp routine that I would like to add to. Right now when running the macro the user is not prompted to "Pick Point On Line" in this example
(command "insert" blk "s" var1 pause pause))
I have added the line
(setq pt1 (entsel "Pick Point On Line "))
(command "insert" blk pt1 "s" var1 pause pause))
but the command doesn't seem to like my PT1 value
BLK and VAR1 are set in another lisp routine.
View 9 Replies
View Related
Aug 16, 2012
How could I prompt a "two points" line entity from the user?
Something similar to " Editor.GetPoint() " ??
I was trying to use Editor.GetPoint() method two times. But this option does not show the preview of a line.
I also tried a combination of
doc.SendStringToExecute("line ");
db.ObjectAppended += new ObjectEventHandler(LineAppended);
but this option triggers LineAppended event handler as soon as I create the first point of a line. So it does not work.
View 1 Replies
View Related
May 14, 2012
I have a macro which
1) checks to see if the active document is a drawing
2) Checks that the drawing is of a part
I want to prompt the user to select a view on the drawing, if this is not the first view on then a warning message is displayed.
Then I want to take this active view and change all of the geometry lines and holes EXCEPT for bend lines to a specific layer.
View 4 Replies
View Related
Mar 13, 2009
I have a block with a rotation parameter/action. I can't seem to get the rotation "circle" to stay in the same spot relative to the block when I rotate. Example: I make a block of a circle. Go into block editor and put a rotation on it with the base point in the center. Move the blue rotation circle to the center. Close block editor and do a rotation. The "rotation pick circle" will not stay in the center of the circle.
View 2 Replies
View Related
Aug 31, 2012
I'd like my macro to prompt the user to select a pipe network that I will then export to excel. How is this possible to achieve?
Using Building Design Suite Ultimate 2014
View 1 Replies
View Related
Feb 21, 2012
Is there a method available to have the plugin pause and wait for a user to click some object, then continue? Or does all user interaction have to happen before/after the plugin is run?
View 2 Replies
View Related
Oct 3, 2013
I have this working without the prompt, if I under manually the margin via var margin = 10; it works. it also seems to return correctly when I print what the input from the user is, but it doesn't seem to want to work and freezes.
it says "point value expected"
//Helper functions
function print(i) {
if(i == "object"){
print("you are trying to printObject, use printObj(); function");
}
else {
$.write(i+"
[code]...
View 1 Replies
View Related
Dec 18, 2011
I need to find the center of a circle that is tangent to another circle and a point on a line. I cannot use tangent tangent radius.
View 4 Replies
View Related
Oct 9, 2012
The question is that I want to draw a Circle with the command Tan,Tan,Radius but when I try to find an ellipses tangent, it never shows up. All OSNAP options are on.
View 9 Replies
View Related
Nov 28, 2013
I am trying to create a blend radius between a Line and a Circle, the Blend command does not accept the circle as a valid object.
View 3 Replies
View Related
Mar 13, 2012
I've been going through some examples on [URL] to create polylines and i've managed to make some code run. One thing that I can't seem to find information on though, is how to use the default AutoCAD command line options in my code. For instance, I would like to be able to prompt the user whether they would like to snap the polyline to an insertion point, everytime they create a new verticie.
Below is some example code from the site that i'm working from:
namespace MyPlineApp
{
public class MyPlineCmds
[Code].....
View 6 Replies
View Related
Apr 26, 2011
I'm trying to plan an access road which must run at least 2.5m away from an existing fenceline. I've put a few parallel road lines in at 3m distance, but at the fence bends I decided to put some circles at the bend points to give me a 3m radius. When I did this I was suprised to find that the circle extends further than my access road. I've dimensioned them both up, CAD is telling me they're both 3m away but they're clearly not at the same distance.
View 9 Replies
View Related
Apr 26, 2011
How do I get an onscreen point after/ during a VB.net dialog box is launched (as example like with Hatch add pick points. I would like to create button for this in a vb.net dialog box?
View 4 Replies
View Related
Nov 15, 2012
I need to find a way how to insert a point or a * on the center point of a hole and put it on a different layer. The reason for this is - I am a CAD tech for a welding shop and we cut parts out of steel and we use the dxf file format for our plasma table to cut parts. For example : if i have a 1 inch thick plate and want to put a 3/4'' hole in the plate the hole will be distorted because the hole is smaller than the material thickness. For these situation we can use the plasma table to burn a point or a dot on the center point of the hole. But to do this the point or dot must be on a different layer in the dxf.
View 2 Replies
View Related
Oct 5, 2013
Is there a way to allow user to select multiple files inside the file dialog using scripts? So not just something like "*.ai" or "*.eps" but where the user can actually use their shift key to select a batch of files inside the file dialog and then the script would process each one.
View 3 Replies
View Related
Jan 26, 2012
Octagon inside a circle... The circle cannot be dimensioned off the octagon?
I need it to have, say .25" clearance and I mean I can just make the circle the right size... but Inventor/I really should be able to do something this simple...
A circle inside a circle, same center point, you can click both and get the distance between the two?
(R-click and set circle to Radius does nothing, it still wants to dimension it from the center point)
View 9 Replies
View Related
Apr 3, 2013
I am trying to understand how to select element of pick point through API.
I have found example in API manual, chapter "Interactive selection". Everything seems be clear but finally this example (and also others which I have found on web) doesnot work as I am expecting.
There is example:
Public Sub TestSelection() ' Create a new clsSelect object. Dim oSelect As New clsSelect ' Call the pick method of the clsSelect object and set ' the filter to pick any face. Dim oFace As Face Set oFace = oSelect.Pick(kPartFaceFilter) ' Check to make sure an object was selected. If Not oFace Is Nothing Then ' Display the area of the selected face.'''' there is cursor and content menu correct
[code]...
I am able to select face, during selection is cursor shown as arrow with plus symbol, content menu show correctly zoom and pan commands. Unfortunatelly when this selection is done and message box show the value, the cursor and content menu does not return to correct state. Cursor is still with plus and content menu with zoom&pan. I have found that problem is with messagebox, just before messagebox is shown the cursor and content menu return to correct state , but after messagebox is shown and closed, then cursor and content menu is wrong. Why?
Finally I need it for my addin in C#, is there and better way how to select item or input 2d point?
I use Inv 2013.
View 2 Replies
View Related
Feb 3, 2013
how to offset a opened polyline by pick point on side of opened polyline.
View 3 Replies
View Related
Aug 4, 2011
know if there is a command which joins GetEnttiy() and GetPoint() functions. At the moment I'm using both commands one after another. Result I want would be one command where you can choose entity or select insertion point.
View 6 Replies
View Related
Feb 10, 2014
I'm trying to make a circle with the radius of 200*sqrt(3). Is this even possible? Or will illustrator round the equation to the thousandths? If illustrator will just round the equation to the thousandths, I can enter the number myself, but I was hoping it could find the point.
View 10 Replies
View Related
Jan 31, 2013
I'm wondering if there is a lisp possible to measure area's by pick point (as in bpoly). This little feature exists in Microstation so i was looking for something similar.
Is it also possible if this lisp can measure areas from an external reference (dwg, dxf, dgn, shp etc..)? I'm kind of new to AutoCAD in that sence.
View 2 Replies
View Related
Apr 25, 2012
When I create a My Location the radius circle does not show on my iMac running Lion. It shows up on my MacBook Pro just fine.
View 4 Replies
View Related
Jun 18, 2013
I need to draw an arc that starts at a specific point, ends tangent to another line, and has a specified radius. What's the best way to do this?
View 3 Replies
View Related
Feb 7, 2013
[Managed ObjectARX 2007 with C#]
I am trying to create an arc with start point, end point, and radius. So that if the arc gets drawn, I going to use the center point.
Well, I guess I can use "SendStringToExecute()" or "SendCommand()" and "ObjectAppended" event handler to get the arc object.
View 6 Replies
View Related
Aug 7, 2012
We have survey files that we xref into our design files. In the survey files themselves, the points don't change color. When we xref them in, the point markers (only the circular node on the actual point, not the line coming off of it) take on the color of whatever the current layer is in the drawing, only fixable by changing the current letter and regenerating.
View 1 Replies
View Related
Jul 2, 2013
I have a question. I'm using VB.Net 2010 with Autocad2012.
How to make code for promt input user.
Get input points from user and draw circle using VB.Net 2010 with Autocad2012.
View 1 Replies
View Related
Nov 6, 2013
I am looking for some code that would allow me to select a MTEXT Entity - or other entity - (as the DEFAULT option) but also to allow me to type in some text manually or to pick a point in the drawing. Something that would present the user with:
"Select an object or [P to pick a point]" or
"Select MTEXT or [M to type].
I can write some code to type in text manually as the default option and get the second option to select entity using get string and then write some condition of if code but I don't know how to do it having entsel as default option.
View 3 Replies
View Related
Feb 20, 2014
How does one erase part of a circle from point to point ?
View 2 Replies
View Related
Feb 10, 2012
I'm trying to change a routine i just wrote that draws 3d pipes. I wanted to make it so that when a user selects the beginning point and ending point of the pipe, the LISP changes the ucs to that vector, draws the circle at the beginning point and extrudes it to the second point.
It actually works great except when the ucs changes, so do my user points because of teh origin change. Is there a better way I might get this to do what I wnat it to?
(setq ip (getpoint "
Pick First Point:"))(setq ep (getpoint "
Pick Second Point:"))(command ".ucs" "za" ip ep)(setvar "osmode" 0)(command ".circle" ip "d" od)(command ".extrude" (entlast) "" (distance ip ep))(command ".ucs" "w")(setvar "osmode" oldsnap))
View 2 Replies
View Related
Dec 10, 2012
Is there any chance to get user defined properties using .NET API for civil 2012?
View 9 Replies
View Related